Gem::Specification.new do |s|
  s.name              = 'redoxed-script'
  s.version           = '0.6.0'
  s.licenses          = %w[Apache-2.0]
  s.platform          = Gem::Platform::RUBY
  s.authors           = ['mortzu', 'Saku Ytti']
  s.email             = %w[mortzu@riseup.net saku@ytti.fi]
  s.homepage          = 'http://github.com/redoxed/redoxed-script'
  s.summary           = 'cli + library for scripting network devices'
  s.description       = 'rancid clogin-like script to push configs to devices + library interface to do same'
  s.files             = `git ls-files`.split("\n")
  s.executables       = %w[rxs]
  s.require_path      = 'lib'

  s.add_runtime_dependency 'redoxed',     '~> 0.25'
  s.add_runtime_dependency 'slop',        '~> 3.5'
  s.add_development_dependency 'bundler', '~> 2.0'
  s.add_development_dependency 'rake',    '~> 10.0'
  s.add_development_dependency 'rubocop', '~> 0.81.0'
end
